## org.apache.myfaces.renderkit.html
Class HtmlCheckboxRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlCheckboxRendererBase
                  org.apache.myfaces.renderkit.html.HtmlCheckboxRenderer

public class HtmlCheckboxRenderer
extends HtmlCheckboxRendererBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $), Anton Koinov

Constructor Summary
`HtmlCheckboxRenderer()`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlCheckboxRendererBase
`decode, encodeEnd, getConvertedValue, getLayout, isDisabled, renderCheckbox, renderCheckboxList, renderGroupOrItemCheckbox`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlCheckboxRenderer

    public HtmlCheckboxRenderer()